Package javax.websocket.server

## Annotation Type PathParam

    @Retention(RUNTIME)
    @Target(PARAMETER)
    public @interface PathParam

Used to annotate method parameters on POJO endpoints the the `ServerEndpoint` has been defined with a `ServerEndpoint.value()` that uses a URI template.

### Required Element Summary

Required Elements
`java.lang.String` `value`

### Element Detail

#### value

    java.lang.String value